classification
Title: Backport UserString move from 3.0
Type: behavior Stage:
Components: Library (Lib) Versions: Python 2.6
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: brett.cannon Nosy List: brett.cannon, quentin.gallet-gilles, rhettinger
Priority: release blocker Keywords: patch

Created on 2008-05-16 04:50 by brett.cannon, last changed 2008-05-29 05:13 by brett.cannon. This issue is now closed.

Files
File name Uploaded Description Edit
userstring_2.6.patch quentin.gallet-gilles, 2008-05-27 22:09
userstring_import_fixer.patch quentin.gallet-gilles, 2008-05-27 22:09
Messages (10)
msg66901 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-16 04:50
The UserString class was moved from its own module to the collections 
module. That change needs to be backported.
msg66906 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2008-05-16 05:01
Same questions as for UserDict.  Why backport this and break existing 
2.5 code?  There's no benefit.
msg67091 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-20 04:22
Is MutableString in the UserString module (and any other class) properly 
handled in 2.6 for transitioning to 3.0?

And there is currently no fixer for UserString (same for UserDict).
msg67358 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-26 00:24
Raymond, can you tell me exactly where each module-level thing in 
UserString went and if it was renamed or not? That way the fixer can get 
written.
msg67363 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2008-05-26 03:57
It was moved to the collections module.
msg67416 - (view) Author: Quentin Gallet-Gilles (quentin.gallet-gilles) Date: 2008-05-27 17:30
I only see UserString in the collections module. Has MutableString been
removed in 3.0 ?
msg67420 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2008-05-27 18:05
Yes.
msg67433 - (view) Author: Quentin Gallet-Gilles (quentin.gallet-gilles) Date: 2008-05-27 22:09
Attaching a patch for the deprecation warning in 2.6 of the
MutableString class. The import fixer for 2to3 is coming next.
msg67435 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2008-05-27 22:26
Nice patch.  Thanks.
msg67472 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-29 05:13
r63767 has the 2.6 changes (with the block in 3.0 in r63768). r63769 has 
the fixer in 2to3 in the sandbox.

Thanks for the patches, Quentin.
History
Date User Action Args
2008-05-29 18:57:34brett.cannonunlinkissue2775 dependencies
2008-05-29 05:13:51brett.cannonsetstatus: open -> closed
resolution: accepted
messages: + msg67472
2008-05-27 22:26:28rhettingersetmessages: + msg67435
2008-05-27 22:09:57quentin.gallet-gillessetfiles: + userstring_import_fixer.patch
2008-05-27 22:09:44quentin.gallet-gillessetfiles: + userstring_2.6.patch
keywords: + patch
messages: + msg67433
2008-05-27 18:05:11rhettingersetmessages: + msg67420
2008-05-27 17:30:13quentin.gallet-gillessetnosy: + quentin.gallet-gilles
messages: + msg67416
2008-05-26 03:57:15rhettingersetassignee: rhettinger -> brett.cannon
messages: + msg67363
2008-05-26 00:24:45brett.cannonsetassignee: rhettinger
messages: + msg67358
2008-05-20 04:22:23brett.cannonsetmessages: + msg67091
2008-05-16 05:01:45rhettingersetnosy: + rhettinger
messages: + msg66906
2008-05-16 04:50:21brett.cannonlinkissue2775 dependencies
2008-05-16 04:50:05brett.cannoncreate